For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
Resources
Log inGet a demo
Get startedAPI referenceImplementation
Get startedAPI referenceImplementation
    • Overview
          • The User object
          • GET/users
          • GET/users/{id}
          • POST/users/ignore/{model_id}
          • GET/users/remote-field-classes
UnifiedAgent HandlerGateway
UnifiedAgent HandlerGateway
Resources
Log inGet a demo
Common ModelsUsers

/users/{id}

GET
/crm/v1/users/:id
GET
/api/crm/v1/users/:id
$curl https://api.merge.dev/api/crm/v1/users/id \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "id": "0358cbc6-2040-430a-848e-aafacbadf3aa",
3 "remote_id": "19202938",
4 "created_at": "2021-09-15T00:00:00Z",
5 "modified_at": "2021-10-16T00:00:00Z",
6 "name": "Gil Feig",
7 "email": "merge_is_hiring@merge.dev",
8 "is_active": true,
9 "remote_was_deleted": true,
10 "field_mappings": {
11 "organization_defined_targets": {
12 "custom_key": "custom_value"
13 },
14 "linked_account_defined_targets": {
15 "custom_key": "custom_value"
16 }
17 },
18 "remote_data": [
19 {
20 "path": "/users",
21 "data": null
22 }
23 ],
24 "remote_fields": [
25 {
26 "remote_field_class": {
27 "id": "string",
28 "display_name": "string",
29 "remote_key_name": "string",
30 "description": "string",
31 "is_custom": true,
32 "is_common_model_field": true,
33 "is_required": true,
34 "field_type": "string",
35 "field_format": "string",
36 "field_choices": [
37 "string"
38 ],
39 "item_schema": {
40 "item_type": "string",
41 "item_format": "string",
42 "item_choices": [
43 "string"
44 ]
45 }
46 },
47 "value": "string"
48 }
49 ]
50}

Returns a User object with the given id.

Field support by integration

See all supported fields

Use the /linked-accounts endpoint to pull platform support information

Was this page helpful?
Previous

/users

Next

/users/ignore/{model_id}

Built with

Authentication

AuthorizationBearer

Token-based authentication with required prefix “Bearer”

Path parameters

idstringRequiredformat: "uuid"

Headers

X-Account-TokenstringRequired
Token identifying the end user.

Query parameters

include_remote_databooleanOptional

Whether to include the original data Merge fetched from the third-party to produce these models.

include_remote_fieldsbooleanOptional
Whether to include all remote fields, including fields that Merge did not map to common models, in a normalized format.
include_shell_databooleanOptional

Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).

Response

idstringRead-onlyformat: "uuid"
remote_idstring or null

The third-party API ID of the matching object.

created_atdatetimeRead-only
The datetime that this object was created by Merge.
modified_atdatetimeRead-only
The datetime that this object was modified by Merge.
namestring or null
The user's name.
emailstring or null
The user's email address.
is_activeboolean or null
Whether or not the user is active.
remote_was_deletedbooleanRead-only

Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. Learn more.

field_mappingsobject or nullRead-only
remote_datalist of objects or nullRead-only
remote_fieldslist of objectsRead-only